Subject: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Visuwesh <[email-masked]>
Date: Mon, 27 Jun 2022 19:54:42 +0530

[திங்கள் ஜூன் 27, 2022] Eli Zaretskii wrote:

> Yes, composition of N characters can in general produce M glyphs,
> where M can be smaller, equal, or greater than N.  It's a many-to-many
> operation, and we cannot rely on getting the same number of glyphs as
> the number of codepoints we compose.
>
> The idea is nevertheless correct (I had the same one), it just needs
> some fine-tuning.  (And "C-x =" tries to solve a different problem:
> how to match each glyph with a codepoint, and that problem is in
> general insoluble, so it's a small wonder that it fails.)
>

Right, thanks for the explanation.

> Please try the latest master, I hope delete-forward-char now behaves
> better.

Thanks, it is much better now!  It doesn't fail on the cases that I had
problems with so far.